<?php
//define( 'HEADER_IMAGE_WIDTH', apply_filters( 'twentyeleven_header_image_width', 1000 ) );
//define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'twentyeleven_header_image_height', 250 ) );
?>
<?php

$content_width = 1000;



/*	Override of twenty eleven setup     */
function twentyeleven_setup() {

	/* Make Twenty Eleven available for translation.
	 * Translations can be added to the /languages/ directory.
	 * If you're building a theme based on Twenty Eleven, use a find and replace
	 * to change 'twentyeleven' to the name of your theme in all the template files.
	 */
	load_theme_textdomain( 'twentyeleven', get_template_directory() . '/languages' );

	// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();

	// Load up our theme options page and related code.
	require( get_template_directory() . '/inc/theme-options.php' );

	// Grab Twenty Eleven's Ephemera widget.
	require( get_template_directory() . '/inc/widgets.php' );

	// Add default posts and comments RSS feed links to <head>.
	add_theme_support( 'automatic-feed-links' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menu( 'primary', __( 'Primary Menu', 'twentyeleven' ) );

	// Add support for a variety of post formats
//	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
	add_theme_support( 'post-formats', array( 'aside', 'link', 'quote', 'image' ) );


	$theme_options = twentyeleven_get_theme_options();
	if ( 'dark' == $theme_options['color_scheme'] )
		$default_background_color = '1d1d1d';
	else
		$default_background_color = 'e2e2e2';

	// Add support for custom backgrounds.
	add_theme_support( 'custom-background', array(
		// Let WordPress know what our default background color is.
		// This is dependent on our current color scheme.
		'default-color' => $default_background_color,
	) );

	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
	add_theme_support( 'post-thumbnails' );

	// Add support for custom headers.
	$custom_header_support = array(
		// The default header text color.
		'default-text-color' => '000',
		'header-text' => true,
		// The height and width of our custom header.
		/**
		 * Filter the Twenty Eleven default header image width.
		 *
		 * @since Twenty Eleven 1.0
		 *
		 * @param int The default header image width in pixels. Default 1000.
		 */
		'width' => apply_filters( 'twentyeleven_header_image_width', 1000 ),
		/**
		 * Filter the Twenty Eleven default header image height.
		 *
		 * @since Twenty Eleven 1.0
		 *
		 * @param int The default header image height in pixels. Default 250.
		 */
		'height' => apply_filters( 'twentyeleven_header_image_height', 250 ),
		// Support flexible heights.
//		'flex-height' => true,
		// Random image rotation by default.
		'random-default' => true,
		// Callback for styling the header.
		'wp-head-callback' => 'cricket_header_style',
		// Callback for styling the header preview in the admin.
		'admin-head-callback' => 'twentyeleven_admin_header_style',
		// Callback used to display the header preview in the admin.
		'admin-preview-callback' => 'twentyeleven_admin_header_image',
	);

	add_theme_support( 'custom-header', $custom_header_support );


	// We'll be using post thumbnails for custom header images on posts and pages.
	// We want them to be the size of the header image that we just defined
	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
	set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );

	// Add Twenty Eleven's custom image sizes.
	// Used for large feature (header) images.
	add_image_size( 'header', $custom_header_support['width'], $custom_header_support['height'], true );
	// Used for featured posts if a large-feature doesn't exist.
	add_image_size( 'small-feature', 500, 300 );
	add_image_size( 'gallery', 500, 375 );
	add_image_size( 'right-sidebar', 210, 210,true );

       function my_image_sizes($sizes){
        	$custom_sizes = array(
        	'right-sidebar' => 'Right Sidebar',
        	'header' => 'Header'
       	);
		return array_merge( $sizes, $custom_sizes );
	}

	add_filter('image_size_names_choose', 'my_image_sizes');

//global $_wp_additional_image_sizes;

//	$_wp_additional_image_sizes = array('right-sidebar-thumb','header-thumb');

	// Section adding default header images has been removed

 	update_option ('default_template','page-content.php');

	// ***************Cricket specific additions*************************

	$role = get_role( 'author' );
		$role->remove_cap( 'add_links' );
		$role->remove_cap( 'add_comment' );
		$role->remove_cap( 'manage_categories' );
 		$role->add_cap( 'read_private_pages' );
 		$role->add_cap( 'read_private_posts' );
 		$role->add_cap( 'unfiltered_html' );


	$role = get_role( 'editor' );
		$role->remove_cap( 'add_links' );
		$role->remove_cap( 'add_comment' );
 		$role->add_cap( 'unfiltered_html' );


	$role = get_role( 'contributor' );
		$role->add_cap( 'edit_published_posts' );
 		$role->add_cap( 'edit_posts' );
  		$role->add_cap( 'publish_posts' );
		$role->add_cap( 'delete_posts' );
 		$role->add_cap( 'read_private_pages' );
 		$role->add_cap( 'read_private_posts' );

	$role = get_role( 'subscriber' );
 		$role->add_cap( 'read_private_pages' );
 		$role->add_cap( 'read_private_posts' );


}

function tfc_remove_page_templates( $templates ) {
    unset( $templates['page.php'] );
    unset( $templates['showcase.php'] );
    unset( $templates['sidebar-page.php'] );
    return $templates;
}
add_filter( 'theme_page_templates', 'tfc_remove_page_templates' );

function set_def_template(  $label, $context) {
 return __( 'Content Page');
}
add_filter( 'default_page_template_title', 'set_def_template',10,2 );




function my_function_admin_bar($content){

	$user_id = get_current_user_id();
	
	$enable = get_user_meta($user_id, 'show_admin_bar_front',true) == 'true';

	return  current_user_can( 'edit_posts' ) && $enable;
}
add_filter( 'show_admin_bar' , 'my_function_admin_bar');


/**
 * Some functions for handling side posts
 */

function VisiblePostStatuses() {
	if (is_user_logged_in())
		return array('draft','pending','publish','private'); 
	else 
		return 'publish';
}

function postsWhichMoveToBottom() {
	return array('aside','quote'); 
}


function searchfilter($query) {

    if ($query->is_search && !is_admin() ) {
		$tax_query = array( array(
			'taxonomy' => 'post_format',
			'field' => 'slug',
			'terms' => array( 'post-format-link','post-format-aside','post-format-image'),
			'operator' => 'NOT IN',
		) );
		$query->set( 'tax_query', $tax_query );
	}return $query;
}

add_filter('pre_get_posts','searchfilter');

function cricket_posted_on() {
	printf( __( '<span class="sep">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a><span class="by-author"> <span class="sep"> by </span> %5$s</span>', 'twentyeleven' ),
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() ),
		get_the_author()
	);
}


add_filter('wp_get_nav_menu_items', 'hide_drafts');

function hide_drafts($aItems)
{

	if (is_user_logged_in())
		$allowed_status = array('draft','pending','publish','private','future');
	else 
		$allowed_status = array('publish'); 

	$aShowItems = array();
        
        foreach ($aItems as $oItem) {
            if ($oItem->object == 'post' || $oItem->object == 'page') {
		  $post_status =  get_post_status( $oItem->object_id);
		  if (in_array($post_status,$allowed_status)) 
                        $aShowItems[] = $oItem;
            } else {
                $aShowItems[] = $oItem;
            }
        }
        
        return $aShowItems;
}

function clear_cache()
{
	if ( function_exists	('wp_cache_clear_cache'))
	{
		wp_cache_clear_cache();
	}
}


add_action( 'save_post','clear_cache');


function print_menu_shortcode($atts, $content = null) { 

	extract(shortcode_atts(array( 'name' => null, ), $atts));

	//	menu-item-wrapper allows the boxes to be formatted
	return '<nav id="side-menu">'.wp_nav_menu( array( 'menu' => $name, 'echo' => false,'menu_class' => 'link-menu') ).'</nav>'; 
} 

add_shortcode('menu', 'print_menu_shortcode');


function cyclone_slider_string( $slider_slug ){
	global $cyclone_slider_plugin_instance;
	if(isset($cyclone_slider_plugin_instance)){
		return $cyclone_slider_plugin_instance['frontend']->cycloneslider_shortcode( array('id'=>$slider_slug) );
	}
}


function AddToQueryResult(&$query1, &$query2)
{
	if ($query2->have_posts())
	{
		if ($query1 ->have_posts())
			$query1 -> posts = array_merge($query1->posts,$query2->posts);
		else
			$query1 -> posts = $query2->posts;
	}

	$query1->post_count=count($query1->posts);

}


function GetSidePosts(&$post,&$wp_sidebar_query)
{
	$p_status = VisiblePostStatuses();

	$args = array( 'order' => 'ASC', 'orderby' => 'menu_order','post_status' => $p_status);
	
	$postlist;$postlist2;


	$wp_sidebar_query = get_all_side_posts($post->ID,$args,$postlist,$postlist2);	

	$sidebar_post_count = $wp_sidebar_query -> post_count;

	if ($sidebar_post_count > 0) {
	/*	The sidebar has to be output twice.   In the first case it provides the space for the main column 
		text to wrap around, but when it does, it then stops the mouse clicks from reaching it.  It is then outp
		a second time over the top (hopefully) so that it can receive the mouse clicks   */

		$inner_started = FALSE;
		$column_aside_started = FALSE;
	

		echo "<div id=\"column_right_first\" >";
						
		while ( $wp_sidebar_query->have_posts() ) : 
							
			$wp_sidebar_query->the_post();
			if (in_array(get_post_format(),postsWhichMoveToBottom()) && !$column_aside_started && ($post->menu_order > 9))
			{	
				echo "<div id=\"column_aside_bottom_first\" >";
				$column_aside_started = TRUE;
			}
			else if (!in_array(get_post_format(),postsWhichMoveToBottom()) && !$inner_started )
			{	
				echo "<div id=\"column_right_inner\" >";
				$inner_started = TRUE;
			}
			get_template_part( 'content', get_post_format() );
			endwhile;

		if ($inner_started)
			echo "</div>";
		if ($column_aside_started)
			echo "</div>";

		echo "</div>";  // column_right_first

//		This gets completed in GetSidePostsSecond
		echo "<div id=\"column_main\">";
		return true;
	}
	return false;

}	

function GetSidePostsSecond(&$wp_sidebar_query)
{

	if ($wp_sidebar_query -> post_count > 0)
	{
	global $post;
	$column_aside_started = FALSE;

	$wp_sidebar_query-> rewind_posts();

	while ( $wp_sidebar_query->have_posts() )
	{
		$wp_sidebar_query->the_post();
		if (in_array(get_post_format(),postsWhichMoveToBottom()) && !$column_aside_started && ($post->menu_order > 9) ) {
	
			echo '</div>';
			echo '<div id="column_aside_bottom_second" >';
			$column_aside_started = TRUE;
			}
		if ($column_aside_started)
				get_template_part( 'content', get_post_format() );
		}

// 		The following finishes the column_main div that was output in GetSidePosts
		echo "</div>";
	}
}



/**
 * Theme Options
 */

require (get_stylesheet_directory() . '/includes/theme-options.php' );


/*
 The following callback uses js to apply css to the contents of the edit window so that it uses the same typeface as
the main window
*/


add_action( 'before_wp_tiny_mce', 'my_tinymce_callback' );

function my_tinymce_callback() {

    $color_1 = get_theme_mod( 'color_1', 'cc4a00' ); ?>

    <script type="text/javascript">
    jQuery( document ).ready(

        function() {
          var my_style = '<?php custom_css(); ?>';


            var checkInterval = setInterval(
                function() {

                    if ( 'undefined' !== typeof( tinyMCE ) ) {
                        if ( tinyMCE.activeEditor && ! tinyMCE.activeEditor.isHidden() ) {

                            jQuery( '#content_ifr' ).contents().find( 'head' ).append( '<style type="text/css">' + my_style + '</style>' );

                            clearInterval( checkInterval );
                        }
                    }
                }, 
                500 
            );
        }
    );
    </script>
<?php }

function custom_css()
{

	//	Adjust width of editor to be most appropriate for data being editted
	$id = $_GET[ 'post' ];

	$post = get_post($id);

	if (in_array('post-format-'.get_post_format($id),SidePostTypes()))
		$width = "238";
	else 
	{
		if ($post->post_type != 'page')
			$id = 	$post -> post_parent;		
		if ($id > 0)
		{
			$p_status = VisiblePostStatuses();
			$args = array( 'order' => 'ASC', 'orderby' => 'menu_order','post_status' => $p_status);
			$postlist;$postlist2;

			$wp_sidebar_query = get_all_side_posts($id,$args,$postlist,$postlist2);	

			$sidebar_post_count = $wp_sidebar_query -> post_count;

			if ($sidebar_post_count > 0)
				$width = "595";
			else
				$width = "848";
		}
		else
			$width = "848";
	}

	$main_heading_font['font-color'] = "#660066";
	$main_heading_font['font-size'] = "20px";
	$main_heading_font['font-weight'] = "bold";
	$sub_heading_font['font-color'] = "#660066";
	$sub_heading_font['font-size'] = "15px";
	$sub_heading_font['font-weight'] = "bold";
	$menu_background = "#f9f9f9";

	if ( function_exists( 'ot_get_option' ) ) {
		  $main_heading_font = ot_get_option( 'cricket_main_heading_font' );
		  $sub_heading_font = ot_get_option( 'cricket_sub_heading_font' );
		  $menu_background = ot_get_option( 'cricket_menu_background' );

	}

	if (strlen($main_heading_font['font-family']) ==0)
	{
		$main_heading_font['font-family'] = "\"Lucida Sans Unicode\", \"Lucida Grande\", sans-serif";
	}
	if (strlen($sub_heading_font['font-family']) ==0)
	{
		$sub_heading_font['font-family'] = "\"Lucida Sans Unicode\", \"Lucida Grande\", sans-serif";
	}
	$options = twentyeleven_get_theme_options();
	$link_color = $options['link_color'];

	
	echo  "h1,h2 { font-family:".$main_heading_font['font-family'].";color: ".$main_heading_font['font-color']."; } ";
	echo  "h1 { font-weight: ".$main_heading_font['font-weight']."; font-size: ".$main_heading_font['font-size']."; }";
	echo  "h2 { font-weight: ".$sub_heading_font['font-weight']."; font-size: ".$sub_heading_font['font-size']."; }";
	echo "h1,h2 { margin: 0 0 0; clear: none; }";
	echo ".mceContentBody { max-width: ".$width."px; border: 1px solid #b5b5b5; }";

	if (get_post_format($id) == 'quote')
	{
		echo "html { background-color: white; }";
		echo ".mceContentBody { background: ".$menu_background. "; }";
	}

	echo "a {color: ".$link_color.";";
	
}



function cricket_header_style() {
	$text_color = get_header_textcolor();

	// If no custom options for text are set, let's bail.
//	if ( $text_color == HEADER_TEXTCOLOR )
//		return;

	// If we get this far, we have custom styles. Let's do this.
	?>
	<style type="text/css">
	<?php
		// Has the text been hidden?
		if ( 'blank' == $text_color ) :
	?>
		#site-title a,
		#site-description {
			display: none;
//			position: absolute !important;
//			clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
//			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php
		// If the user has set a custom color for the text use that
		else :
	?>
		#site-title a,
		#site-description 
		{
			color: #<?php echo $text_color; ?> !important;
		}
	<?php endif; ?>
	

	<?php 
	$main_font = array();
	$menu_font = array();
	$main_heading_font['font-color'] = "#660066";
	$main_heading_font['font-size'] = "20px";
	$main_heading_font['font-weight'] = "bold";
	$sub_heading_font['font-color'] = "#660066";
	$sub_heading_font['font-size'] = "15px";
	$sub_heading_font['font-weight'] = "bold";
	$menu_font['font-color'] = "#660066";
	$menu_font['font-size'] = "13px";
	$menu_font['font-weight'] = "bold";
       $dark_background = "#D6B9D5";
	$menu_background = "#f9f9f9";

	if ( function_exists( 'ot_get_option' ) ) {
		  $main_heading_font = ot_get_option( 'cricket_main_heading_font' );
		  $sub_heading_font = ot_get_option( 'cricket_sub_heading_font' );
		  $menu_font = ot_get_option( 'cricket_menu_font' );
		  $dark_background = ot_get_option( 'cricket_dark_background_colour' );
		  $menu_background = ot_get_option( 'cricket_menu_background' );
		  $plain_side_menu = ot_get_option( 'plain_side_menu' );

	}

	if (strlen($main_heading_font['font-family']) ==0)
	{
		$main_heading_font['font-family'] = "\"Lucida Sans Unicode\", \"Lucida Grande\", sans-serif";
	}
	if (strlen($sub_heading_font['font-family']) ==0)
	{
		$sub_heading_font['font-family'] = "\"Lucida Sans Unicode\", \"Lucida Grande\", sans-serif";
	}
	if (strlen($menu_font['font-family']) ==0)
	{
		$menu_font['font-family'] = "\"Lucida Sans Unicode\", \"Lucida Grande\", sans-serif";
	}

	
	if (current_user_can('edit_posts')) 	
		echo ".singular .format-link .entry-meta .edit-link { display:initial; }";


	 ?>

	#site-title a
	{
		font-family: <?php echo $main_heading_font['font-family']; ?> ;
	}
	.entry-content h1,
	.entry-content h2,
	.comment-content h1,
	.comment-content h2,
	.entry-summary h1,
	.entry-summary h2,
	h1, 
	h2 {
		font-family: <?php echo $main_heading_font['font-family']; ?> ;
		color: <?php echo $main_heading_font['font-color']; ?> !important;
		}

	.entry-content h1,
	.comment-content h1 {
		font-weight: <?php echo $main_heading_font['font-weight']; ?> ;
		font-size: <?php echo $main_heading_font['font-size']; ?> ;
	}


	.comment-summary h2,
	.entry-content h2,
	.comment-content h2 {
		font-weight: <?php echo $sub_heading_font['font-weight']; ?> ;
		font-size: <?php echo $sub_heading_font['font-size']; ?> ;
	}

	.entry-summary h1 {
		font-weight: bold; 
		font-size: 19px;
		}

	.entry-summary h2 {
		font-weight: normal; 
		font-size: 19px;
		}

			
	.entry-title a{
		font-family: <?php echo $main_heading_font['font-family']; ?> ;
	}

	div#footer-right{
		color: <?php echo $main_heading_font['font-color']; ?> ;
	}

	.format-link .entry-content p,
	.format-quote,
	.link-menu li
	{
		background: <?php echo $menu_background; ?>;
	}


	.link-menu a:hover,
	.format-link p:hover,
	.link-menu .current-menu-item {
		background: <?php echo $dark_background; ?>;
	}


	
	.format-link .entry-content p ,
	.format-link .entry-content p a,
	#access a, 
	#access ul ul a
	{
		font-size: <?php echo $menu_font['font-size']; ?> ;
		font-family: <?php echo $menu_font['font-family']; ?> ;
		font-weight: <?php echo $menu_font['font-weight']; ?> ;
		color: <?php echo $menu_font['font-color']; ?> !important;
		text-decoration: none;
		}

	<?php
	if ($plain_side_menu[0] == 'yes')
	{ ?>
	
	.format-link .entry-content h1,
	.format-link .entry-content h2
	{
		border-top:1px solid #888;
		background: <?php echo $menu_background; ?>;
	}


	.link-menu a, .format-link a {
	    color: #373737;
	}
	
	#content nav a {
	    font-size: inherit;
	    font-weight: inherit;
	    line-height: inherit;
	}


	<?php
	}
	else
	{ ?>
		nav#side-menu a
		{
			font-size: <?php echo $menu_font['font-size']; ?> ;
			font-family: <?php echo $menu_font['font-family']; ?> ;
			font-weight: <?php echo $menu_font['font-weight']; ?> ;
			color: <?php echo $menu_font['font-color']; ?> !important;
			text-decoration: none;
		}
	<?php
	} ?>

	#access .current-menu-item > a,
	#access .current-menu-ancestor > a,
	#access .current_page_item > a,
	#access .current_page_ancestor > a {
		font-weight: <?php echo $menu_font['font-weight']; ?> ;
	}

	#access ,
	#access ul ul a {
		background: <?php echo $menu_background; ?>;
	}



	div#sitefooter{
		background: <?php echo $menu_background; ?>;
	}

	#access li:hover > a,
	#access ul ul :hover > a,
	#access li:hover > a,
	#access a:focus ,
	#access ul li:hover > ul ,
	#access .current-menu-item > a,
	#access .current-menu-ancestor > a,
	#access .current_page_item > a,
	#access .current_page_ancestor > a {
		background: <?php echo $dark_background; ?>;
	}



	/*	Overrides must go here as this is read after the main styles.css file   */
	@media (max-width: 799px) {

		.entry-content h1,
		.comment-content h1 {
			font-size: 17px;
			}
		.entry-content h2,
		.comment-content h2 {
			font-size: 15px;
			}
		.entry-summary h1 {
			font-size: 17px;
			}
		.entry-summary h2 {
			font-size: 15px;
			}
		}
	</style>
	<?php
}


add_action('template_redirect', 'bwp_template_redirect');
function bwp_template_redirect()
{
    global $wp_query, $post;
 
    if (is_author() || is_attachment() || is_day())
    {
        wp_redirect(get_option('home'));
	 exit();
    }
}



function new_get_post_format_string( $format )
{
	switch ($format)
	{
		case 'aside': return "Side - Box";
		case 'image': return "Side - Image";
		case 'quote': return "Side - Shaded";
		case 'link': return "Side - LinkMenu";
	};
	return $format;
}
function new_post_format_meta_box( $post, $box ) {
	$post_formats = get_theme_support( 'post-formats' );

	if ( is_array( $post_formats[0] ) ) :
		$post_format = get_post_format( $post->ID );
		if ( !$post_format )
			$post_format = '0';
		// Add in the current one if it isn't there yet, in case the current theme doesn't support it
		if ( $post_format && !in_array( $post_format, $post_formats[0] ) )
			$post_formats[0][] = $post_format;
	?>
	<div id="post-formats-select">
		<input type="radio" name="post_format" class="post-format" id="post-format-0" value="0" <?php checked( $post_format, '0' ); ?> /> <label for="post-format-0"><?php _e('Standard'); ?></label>
		<?php foreach ( $post_formats[0] as $format ) : ?>
		<br /><input type="radio" name="post_format" class="post-format" id="post-format-<?php echo esc_attr( $format ); ?>" value="<?php echo esc_attr( $format ); ?>" <?php checked( $post_format, $format ); ?> /> <label for="post-format-<?php echo esc_attr( $format ); ?>"><?php echo esc_html( new_get_post_format_string( $format ) ); ?></label>
		<?php endforeach; ?><br />
	</div>
	<?php endif;
}

function modify_admin_options() {
	add_meta_box('new-post-parent', 'Format', 'new_post_format_meta_box', 'post', 'side', 'high');
	remove_meta_box('formatdiv', 'post', 'side');

}
add_action( 'admin_menu' , 'modify_admin_options' ,999);

# Dont allow authors to stick posts to the front page
#	     echo '<style> input#sticky, #sticky-span label.selectit, #visibility a.edit-visibility {  display:none;} ; 
function upgrade_link(){
	if (!(current_user_can('manage_categories')))
	     echo '<style> input#sticky, #sticky-span label.selectit {  display:none;} ; </style>';
}

add_action( 'post_submitbox_start', 'upgrade_link');

add_action('admin_bar_menu', 'change_toolbar',999);

/*   Remove some of the stuff from the admin toolbar that does not apply to this theme
	and add entries depending on the users capabilities */


function change_toolbar(&$admin_bar)
{




if (current_user_can('edit_pages')) {
	$admin_bar->add_node(array(
		'id' => 'pages',
		'title' => 'Pages',
		'parent' => 'site-name',
		'href' => get_home_url().'/wp-admin/edit.php?post_type=page'
			));
	};

if (current_user_can('edit_posts')) {
	$admin_bar->add_node(array(
		'id' => 'posts',
		'title' => 'Posts',
		'parent' => 'site-name',
		'href' => get_home_url().'/wp-admin/edit.php?post_type=post'
			));
	};


if (current_user_can('list_users')) {
	$admin_bar->add_node(array(
		'id' => 'users',
		'title' => 'Users',
		'parent' => 'site-name',
		'href' => get_home_url().'/wp-admin/users.php'
		));

	$admin_bar->add_node(array(
		'id' => 'users-groups',
		'title' => 'User Groups',
		'parent' => 'site-name',
		'href' => get_home_url().'/wp-admin/admin.php?page=uam_usergroup'
		));
	}

if (!current_user_can('update_themes')) {
	
		$admin_bar->remove_node('appearance');
		$admin_bar->remove_node('themes');
		$admin_bar->remove_node('background');

		$admin_bar->remove_node('customize');
		$admin_bar->remove_node('widgets');
		$admin_bar->remove_node('menus');
	}
}





function unhide_kitchensink( $args ) {
$args['wordpress_adv_hidden'] = false;
return $args;
}
add_filter( 'tiny_mce_before_init', 'unhide_kitchensink' );



/*   Remove some irrelevant metaboxes from the edit post and page pages  */ 


function my_remove_metaboxes() {
 remove_meta_box( 'postcustom' , 'page' , 'normal' ); //removes custom fields for page
 remove_meta_box( 'postcustom' , 'post' , 'normal' ); //removes custom fields for page 
 remove_meta_box( 'commentstatusdiv' , 'page' , 'normal' ); //removes comments status for page
 remove_meta_box( 'commentsdiv' , 'page' , 'normal' ); //removes comments for page
 remove_meta_box( 'commentsdiv' , 'post' , 'normal' ); //removes comments for page
 remove_meta_box( 'tagsdiv-post_tag' , 'post' , 'normal' ); 
 remove_meta_box( 'tagsdiv-post_tag' , 'page' , 'normal' ); 
}

add_action( 'admin_menu' , 'my_remove_metaboxes' );

/*
function add_menu_role_editors() {
	global $wp_admin_bar;
	$role_object = get_role( 'editor' );

	$role_object->remove_cap('edit_theme_options' );

	if($role_object) {
		add_submenu_page('customize.php','customize.php' );
		add_submenu_page('themes.php','widgets.php' );
		add_submenu_page('themes.php','themes.php' );
		add_submenu_page('themes.php','theme_options' );
		add_submenu_page('customize.php','ot-theme_options' );
	}
}



add_action ('admin_init','add_menu_role_editors');
*/

/*    Post tags are not really used, so remove the column  */


add_filter('manage_posts_columns', 'delete_tag_column');
add_filter('manage_pages_columns', 'delete_tag_column');
function delete_tag_column($columns) {
    unset ($columns['tags']);
    return $columns;
}

/*  Used for creating links for editting admin things in the footer */

function my_edit_link( $url ) {
               $link = 'Edit';
	        $link = '<a class="post-edit-link" href="' . $url . '">' . $link . '</a>';
	        echo $link;
	}


/*	Stop simple authors editing capabilies  */


function remove_default_categories_box() {
//	if (!current_user_can('edit_others_pages'))
//	    remove_meta_box('categorydiv', 'post', 'side');
}
add_action( 'admin_head', 'remove_default_categories_box' );



function add_entry(&$wp_query,$div_class,$length = 0) {

	echo '<div id="'.$div_class.'">';


	global $post;

	$wp_query->the_post();

	if ( strlen( get_the_content()) < 10)
	{
		$args = array(
			'post_status' => $p_status,
			'order' => 'ASC',
			'orderby' => 'menu_order',
			'ignore_sticky_posts' => 1,
			'post_parent' => get_the_ID(),
		);
		$child_posts = new WP_query($args); 

		if ($child_posts->have_posts())
		{
			$child_posts->the_post();
	
		}
	}
		
	echo "<article id=\"post-"; the_ID(); echo "\""; 
	post_class(); echo ">";  
	$post_thumbnail_id = get_post_thumbnail_id( $post -> ID);

	echo '<header class="entry-summary link-region"> ';

	//	If there is a thumbnail then we have to create space for it to stop them overlapping
	//	needs css entry
	if($post_thumbnail_id)
		echo "<div id=\"height-padding\"> ";

	echo "<div class=\"post-thumb\"> ";
	if($post_thumbnail_id)
	{
		$isrc = wp_get_attachment_image_src($post_thumbnail_id, 'full' );
		if ($isrc[1] < 900)
		{ 
			the_post_thumbnail(array(75,75), array ('class' => 'alignright'));
		}
	} 
	echo "</div> ";
	if (function_exists('the_advanced_excerpt'))
	{
		if ($length == 0)
			 the_advanced_excerpt();
		else
			 the_advanced_excerpt('length='.$length.'&use_words=0'); 
	}
	else
		the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) );

	if($post_thumbnail_id)
		echo "</div>";

	echo '<a title = "'.get_the_title().".\n".'Read more..." class="link-region-overlay" href = "'.get_permalink($post).'" tabindex="-1"></a></header>';  

					
	echo "<footer class=\"entry-meta\"> ";
	edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' );
	echo "</footer>";
 
	echo "</article><!-- #post-"; the_ID(); echo "-->";
	
	echo '</div>';

}



/** Tell WordPress to run post_theme_setup() when the 'after_setup_theme' hook is run. */

add_action( 'after_setup_theme', 'post_theme_setup' );

if ( !function_exists( 'post_theme_setup' ) ):
function post_theme_setup() {

	/* Add our new styles after all stylesheets have loaded */
	function twentyeleven_enqueue_child_style() {
		wp_enqueue_style( 'child_style', get_stylesheet_directory_uri() . '/custom-style.css', array(), null );
		do_action( 'twentyeleven_enqueue_child_style', 'child_style' );
	}
	add_action( 'wp_enqueue_scripts', 'twentyeleven_enqueue_child_style', 11 );

}
endif;

/*

// stop wp removing div tags
function ikreativ_tinymce_fix( $init )
{
    // html elements being stripped
    $init['extended_valid_elements'] = 'div[*]';

    // pass back to wordpress
    return $init;
}
add_filter('tiny_mce_before_init', 'ikreativ_tiny_mce_fix');
*/


/**
 * Display navigation to next/previous pages when applicable.
 *
 * @since Twenty Eleven 1.0
 *
 * @param string $html_id The HTML id attribute.
 */
function cricket_content_nav( $html_id ) {
	global $wp_query;

	if ( $wp_query->max_num_pages > 1 ) : ?>
		<nav id="<?php echo esc_attr( $html_id ); ?>">
			<h3 class="assistive-text"><?php _e( 'Post navigation', 'twentyeleven' ); ?></h3>
			<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older content', 'twentyeleven' ) ); ?></div>
			<div class="nav-next"><?php previous_posts_link( __( 'Newer content <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?></div>
		</nav><!-- #nav-above -->
	<?php endif;
}


/**
 * Include the TGM_Plugin_Activation class.
 */

require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function my_theme_register_required_plugins() {

	/**
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		// This is an example of how to include a plugin pre-packaged with a theme
/*		array(
			'name'     				=> 'TGM Example Plugin', // The plugin name
			'slug'     				=> 'tgm-example-plugin', // The plugin slug (typically the folder name)
			'source'   				=> get_stylesheet_directory() . '/lib/plugins/tgm-example-plugin.zip', // The plugin source
			'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		),

*/
		array(
			'name'     				=> 'Allow Page Authors', 
			'slug'     				=> 'allow-page-authors',
			'source'   				=> 'http://www.thedyers.org.uk/wp-content/uploads/allow-page-authors.zip', 
			'required' 				=> true, 
			'version' 				=> '', 
			'force_activation' 		=> false, 
			'force_deactivation' 	=> false, 
			'external_url' 			=> '', 
		),

		array(
			'name'     				=> 'Include Posts In Pages', 
			'slug'     				=> 'include-posts-in-pages',
			'source'   				=> 'http://www.thedyers.org.uk/wp-content/uploads/include-posts-in-pages.zip', 
			'required' 				=> true, 
			'version' 				=> '', 
			'force_activation' 		=> true, 
			'force_deactivation' 	=> false, 
			'external_url' 			=> 'http://www.thedyers.org.uk/nigel/wordpress-plugins/include-posts-in-pages/', 
		),

/*		array(
			'name'     				=> 'Private Page Relationship Check', 
			'slug'     				=> 'private-page-relationship-check',
			'source'   				=> 'http://www.thedyers.org.uk/wp-content/uploads/2013/04/private-page-relationship-check.zip', 
			'required' 				=> true, 
			'version' 				=> '', 
			'force_activation' 		=> true, 
			'force_deactivation' 	=> false, 
			'external_url' 			=> '', 
		),*/

		array(
			'name'     				=> 'Login Stayput', 
			'slug'     				=> 'login-stayput',
			'source'   				=> 'http://www.thedyers.org.uk/wp-content/uploads/2013/04/login-stayput.zip', 
			'required' 				=> false, 
			'version' 				=> '', 
			'force_activation' 		=> false, 
			'force_deactivation' 	=> false, 
			'external_url' 			=> '', 
		),


		array(
			'name'     				=> 'British Welcome Header', 
			'slug'     				=> 'british-welcome-header',
			'source'   				=> 'http://www.thedyers.org.uk/british-welcome-header.zip', 
			'required' 				=> false, 
			'version' 				=> '', 
			'force_activation' 		=> false, 
			'force_deactivation' 	=> false, 
			'external_url' 			=> '', 
		),


		array(
			'name'     				=> 'Clear Div', 
			'slug'     				=> 'clear-div',
			'source'   				=> 'http://www.thedyers.org.uk/wp-content/uploads/clear-div.zip', 
			'required' 				=> false, 
			'version' 				=> '', 
			'force_activation' 		=> false, 
			'force_deactivation' 	=> false, 
			'external_url' 			=> 'http://www.thedyers.org.uk/nigel/wordpress-plugins/clear-div/', 
		),

		array(
			'name' 		=> 'Advanced Excerpt',
			'slug' 		=> 'advanced-excerpt',
			'required' 	=> true,
		),

		array(
			'name' 		=> 'Unique Headers',
			'slug' 		=> 'unique-headers',
			'required' 	=> false,
		),

		array(
			'name' 		=> 'Post Expirator',
			'slug' 		=> 'post-expirator',
			'required' 	=> false,
		),

		array(
			'name' 		=> 'Option Tree',
			'slug' 		=> 'option-tree',
			'required' 	=> false,
		),

		
		array(
			'name' 		=> 'CryptX',
			'slug' 		=> 'cryptx',
			'required' 	=> false,
		),

		array(
			'name' 		=> 'Cyclone slider',
			'slug' 		=> 'cyclone-slider',
			'required' 	=> false,
		)
	);

	// Change this to your theme text domain, used for internationalising strings
	$theme_text_domain = 'tgmpa';

	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'domain'       		=> $theme_text_domain,         	// Text domain - likely want to be the same as your theme.
		'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
		'parent_slug' 		=> 'themes.php', 				// Default parent menu slug
		'menu'         		=> 'install-required-plugins', 	// Menu slug
		'has_notices'      	=> true,                       	// Show admin notices or not
		'is_automatic'    	=> false,					   	// Automatically activate plugins after installation or not
		'message' 			=> '',							// Message to output right before the plugins table
		'strings'      		=> array(
			'page_title'                       			=> __( 'Install Required Plugins', $theme_text_domain ),
			'menu_title'                       			=> __( 'Install Plugins', $theme_text_domain ),
			'installing'                       			=> __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name
			'oops'                             			=> __( 'Something went wrong with the plugin API.', $theme_text_domain ),
			'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
			'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
			'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
			'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
			'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
			'return'                           			=> __( 'Return to Required Plugins Installer', $theme_text_domain ),
			'plugin_activated'                 			=> __( 'Plugin activated successfully.', $theme_text_domain ),
			'complete' 									=> __( 'All plugins installed and activated successfully. %s', $theme_text_domain ), // %1$s = dashboard link
			'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
		)
	);

	tgmpa( $plugins, $config );

}
