<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
?><!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->

<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

/*	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
*/


	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyeleven' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
//	if ( is_singular() && get_option( 'thread_comments' ) )
//		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();

	$title_url = esc_url( home_url( '/' ));
	if (!is_home()) 
	{
		$title = get_post_meta( $post->ID, '_custom_title', true );
		if ($title == "")
		{
			$title = get_post_meta( $post->post_parent, '_custom_title', true );
			if ($title == "")
			{
				$title = get_bloginfo( 'name', 'display');
				$title_url = get_permalink();
			}
			else 
				$title_url = get_permalink($post->post_parent);
		}
		else
			$title_url = get_permalink($post->ID);

	}
?>
</head>

<body <?php body_class(); ?>>
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&version=v2.5&appId=1626178687632543";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

<div id="page" class="hfeed">
	<header id="branding" role="banner">
			<hgroup>
				<h1 id="site-title"><span><a href="<?php echo $title_url; ?>" 
					title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
					rel="home"><?php echo $title; ?></a></span></h1>
			</hgroup>
			<?php

//	In the case of the home page, $post is set to the first sticky post, in which case we get the header image that is attached
//	to the first sticky post using the Unique Header plugin

			
			$attachment_id = get_post_meta( $post->ID, '_custom_header_image_id', true );
			$url = wp_get_attachment_image_src( $attachment_id, 'full' );
			$header_image = $url[0];

			$parent_id  = $post-> post_parent;


			if (! ($header_image ))
			{
			    if( function_exists('cyclone_slider') )
			    { 
				$currentSlider = get_post_meta($post ->ID,'_sliderID',true);
			
				if (empty($currentSlider))
				{
					$currentSlider = get_post_meta($parent_id,'_sliderID',true);

				}
		
				if (!empty($currentSlider))
				{

					$slider_string = cyclone_slider_string($currentSlider);
					if (substr_compare($slider_string,'[Slideshow',0,10) != 0)
					{
						echo $slider_string;
				
					       ?>
						<style type="text/css">
						.cycloneslider-template-dark{
					       margin-bottom: 0px;
						}
						.cycloneslider-template-dark .cycloneslider-slides {
						}

						</style>
						<?php
					}
					else
						$header_image = get_header_image();
				}
				else
					$header_image = get_header_image();
	      		     }
			     else
				$header_image = get_header_image();
                     }

			if ( $header_image ) {
// We need to figure out what the minimum width should be for our featured image.
// This result would be the suggested width if the theme were to implement flexible widths.
				$header_image_width  = get_theme_support( 'custom-header', 'width' );
				$header_image_height = get_theme_support( 'custom-header', 'height' ); 
				echo '<a href="'.esc_url( home_url( '/' ) ).'">';

				echo '<div class = "site-banner"><img src="';echo $header_image;
//				echo '" width="'.$header_image_width.'" height="'.$header_image_height.'" alt="" /><div/>';
				echo '" alt="" /><div/>';
				echo '</a>';
			}; // end check for removed header image 
			get_search_form(); ?>

			<nav id="access" role="navigation">
				
			<h3 class="assistive-text"><?php _e( 'Main menu', 'twentyeleven' ); ?></h3>
			<?php /* Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff. */ ?>
			<div class="skip-link"><a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to primary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to primary content', 'twentyeleven' ); ?></a></div>
			<div class="skip-link"><a class="assistive-text" href="#secondary" title="<?php esc_attr_e( 'Skip to secondary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to secondary content', 'twentyeleven' ); ?></a></div>
			<?php /* Our navigation menu. If one isn't filled out, wp_nav_menu falls back to wp_page_menu. The menu assigned to the primary location is the one used. If one isn't assigned, the menu with the lowest ID is used. */ ?>

			<?php 
			if (is_user_logged_in())
				$p_status = array('draft','pending','publish','private');
			else 
				$p_status = 'publish'; 

			$hide_menu = (get_post_meta($post ->ID,'hide_menu',true) == 'yes');

			if (!$hide_menu)
				$hide_menu = (get_post_meta($parent_id,'hide_menu',true) == 'yes');

			if (!$hide_menu)
				wp_nav_menu( array( 'theme_location' => 'primary','post_status'  => $p_status ) ); 

			?>
			</nav><!-- #access -->
	</header><!-- #branding -->
	<div id="pathway">
		<?php 
		$post_curser = $post;
		if (!is_home() && ($post_curser->post_parent != 0)) {
			$link_text = "";
			while (!is_null($post_curser)) {
				$permalink = get_permalink($post_curser->post_parent);   
				$parentname = str_replace('Private:','*',get_the_title($post_curser->post_parent));
				if ($post_curser-> post_parent != 0) {
	       	              $post_curser  = get_post($post_curser-> post_parent);
					$link_text = "<a href=".$permalink.">".$parentname.">> </a>".$link_text;
					}
				else
					$post_curser = NULL;
				};
			echo $link_text;
		       } ?>

	</div> <!---pathway--->
	<div id="main">
